<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.2"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>VivianUI: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">VivianUI
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.2 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('class_tri_lib_1_1_asset_loader_zip.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle"><div class="title">TriLib.AssetLoaderZip Member List</div></div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="class_tri_lib_1_1_asset_loader_zip.html">TriLib.AssetLoaderZip</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html#a65cbf5ca0cefd95a258c5e478995814a">AnimationData</a></td><td class="entry"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html">TriLib.AssetLoaderBase</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html#a0f8dd23ce1fc1893109fc4ed7884feaa">AssimpFilenameMagicString</a></td><td class="entry"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html">TriLib.AssetLoaderBase</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">static</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html#a9af74e34c726daab0cee3ecd4875eda1">BuildGameObject</a>(AssetLoaderOptions options, string basePath=null, GameObject wrapperGameObject=null)</td><td class="entry"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html">TriLib.AssetLoaderBase</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html#a5e5fdfaafa86bce44152f75b3ef0e19d">BuildMaterials</a>(string basePath, AssetLoaderOptions options, LoadTextureDataCallback loadTextureDataCallback=null)</td><td class="entry"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html">TriLib.AssetLoaderBase</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html#acd7ddb9d55c6aa4f472311b57945468a">CameraData</a></td><td class="entry"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html">TriLib.AssetLoaderBase</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html#ab927e6262ba4b326f48ae748e99defcb">CreateMeshComponents</a>(GameObject gameObject, AssetLoaderOptions options, Mesh mesh, bool hasBoneInfo, Material[] combinedMaterials, IList&lt; string &gt; boneNames=null, Material singleMaterial=null, MeshData meshData=null, string connectionKey=null)</td><td class="entry"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html">TriLib.AssetLoaderBase</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html#aa6fa7e7486f02342e455f0b46fbc2f14">Dispose</a>()</td><td class="entry"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html">TriLib.AssetLoaderBase</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html#a4e52e2858d32f47452044e9ace3bebef">EmbeddedTextureLoad</a></td><td class="entry"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html">TriLib.AssetLoaderBase</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html#a4369d9c48336a8c79ccf193615ee12ac">EmbeddedTextures</a></td><td class="entry"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html">TriLib.AssetLoaderBase</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html#a7444586b5f81f8b8045e6cc5052c5a18">FilesLoadData</a></td><td class="entry"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html">TriLib.AssetLoaderBase</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html#a1fa87fa32262fda9f599285b98a3bc1c">FixName</a>(string name, uint id)</td><td class="entry"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html">TriLib.AssetLoaderBase</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html#aa0556ed342f7f7558ad1bb8304e2f07c">FixName</a>(string name)</td><td class="entry"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html">TriLib.AssetLoaderBase</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html#a53f66be426d42749f469c002b613deb1">FixNodeName</a>(string name, uint nodeId)</td><td class="entry"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html">TriLib.AssetLoaderBase</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html#ad66a1c17acea7e323ea0935d91a285ba">GetSupportedFileExtensions</a>()</td><td class="entry"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html">TriLib.AssetLoaderBase</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html#a549317d2db7ca7ff72124dd2814db2bb">HasBlendShapes</a></td><td class="entry"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html">TriLib.AssetLoaderBase</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html#a9180e166e092d56f446e6d501272eb24">HasBoneInfo</a></td><td class="entry"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html">TriLib.AssetLoaderBase</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html#afce94b341cee113582e85e7226d93db3">HasOnAnimationClipCreated</a></td><td class="entry"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html">TriLib.AssetLoaderBase</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html#a4941192fff6480fdb5dc322f51753947">HasOnAvatarCreated</a></td><td class="entry"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html">TriLib.AssetLoaderBase</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html#a7b738450e4e28c2411e5de2ca1585486">HasOnBlendShapeKeyCreated</a></td><td class="entry"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html">TriLib.AssetLoaderBase</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html#a2cc5f58ea455215cbb7ada39276770c0">HasOnMaterialCreated</a></td><td class="entry"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html">TriLib.AssetLoaderBase</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html#a822d8367552fe84dd64fbbdbb54dedc7">HasOnMeshCreated</a></td><td class="entry"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html">TriLib.AssetLoaderBase</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html#a0cd443cd08c3ac6019247bb5ffd38462">HasOnMetadataProcessed</a></td><td class="entry"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html">TriLib.AssetLoaderBase</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html#ab49c517279016c05764b73a7b4576eb1">HasOnObjectLoaded</a></td><td class="entry"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html">TriLib.AssetLoaderBase</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html#a45dce2d4a5e292766770b4480c6c0400">HasOnTextureLoaded</a></td><td class="entry"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html">TriLib.AssetLoaderBase</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html#ae1a61eb6598df376e0e9bfb0aaba21e0">InternalLoadFromFile</a>(string filename, string basePath, AssetLoaderOptions options=null, bool usesWrapperGameObject=false, AssimpInterop.ProgressCallback progressCallback=null)</td><td class="entry"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html">TriLib.AssetLoaderBase</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html#acc40fb637929c2ac1b2f300e536a8ab0">InternalLoadFromMemory</a>(byte[] fileBytes, string filename, string basePath, AssetLoaderOptions options=null, bool usesWrapperGameObject=false, AssimpInterop.DataCallback dataCallback=null, AssimpInterop.ExistsCallback existsCallback=null, LoadTextureDataCallback loadTextureDataCallback=null, AssimpInterop.ProgressCallback progressCallback=null, FileLoadData customFileLoadData=null)</td><td class="entry"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html">TriLib.AssetLoaderBase</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html#acb3ee2828615192236ac93e5c1e6d52b">InternalLoadFromMemoryAndZip</a>(byte[] data, string assetExtension, string basePath, AssetLoaderOptions options=null, bool usesWrapperGameObject=false, AssimpInterop.DataCallback dataCallback=null, AssimpInterop.ExistsCallback existsCallback=null, LoadTextureDataCallback loadTextureDataCallback=null, AssimpInterop.ProgressCallback progressCallback=null, string filename=null)</td><td class="entry"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html">TriLib.AssetLoaderBase</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html#a1738039b36f43ad3c93c797d4ccb5fc1">IsExtensionSupported</a>(string extension)</td><td class="entry"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html">TriLib.AssetLoaderBase</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html#aba8da94f12b92661bab78849080af84b">IsUsingHDRP</a>()</td><td class="entry"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html">TriLib.AssetLoaderBase</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html#a4d1a5eb9208a2a0fbfa5cf725d4eb3fb">LoadedBoneNames</a></td><td class="entry"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html">TriLib.AssetLoaderBase</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html#a12cce5f459351a8440d3943241d2b877">LoadedMaterials</a></td><td class="entry"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html">TriLib.AssetLoaderBase</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html#a138e8d2e64d0a5013925c2b799e4c90b">LoadedTextures</a></td><td class="entry"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html">TriLib.AssetLoaderBase</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html#a68d2fb33203027ace2f6587b38a152f1">LoadEmbeddedTextureData</a>(IntPtr texture, string textureName)</td><td class="entry"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html">TriLib.AssetLoaderBase</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="class_tri_lib_1_1_asset_loader_zip.html#a265ca6c671ae06abbc23dc9220f2895e">LoadFromFile</a>(string filename, AssetLoaderOptions options=null, GameObject wrapperGameObject=null, AssimpInterop.ProgressCallback progressCallback=null)</td><td class="entry"><a class="el" href="class_tri_lib_1_1_asset_loader_zip.html">TriLib.AssetLoaderZip</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_tri_lib_1_1_asset_loader_zip.html#a144e28ece6a7fa071224c8e579fb4bec">LoadFromFileAsync</a>(string filename, AssetLoaderOptions options=null, GameObject wrapperGameObject=null, ObjectLoadedHandle onAssetLoaded=null, AssimpInterop.ProgressCallback progressCallback=null)</td><td class="entry"><a class="el" href="class_tri_lib_1_1_asset_loader_zip.html">TriLib.AssetLoaderZip</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html#a4080dcdcb39f7c0b9b41be77123f0e20">LoadMaterial</a>(string name, AssetLoaderOptions options, bool hasAlpha, bool hasSpecular)</td><td class="entry"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html">TriLib.AssetLoaderBase</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html#a97f6baa7e86a10852089dd6af291f05e">LoadTextureData</a>(string path, string basePath)</td><td class="entry"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html">TriLib.AssetLoaderBase</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html#ab6c8de900e3fcf42ceddf619db594ec4">LoadTextureFromFile</a>(string path, string name, AssetLoaderOptions options, EmbeddedTextureData embeddedTextureData, TextureWrapMode textureWrapMode, ref bool hasAlphaChannel, bool isNormalMap, bool checkAlphaChannel=false)</td><td class="entry"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html">TriLib.AssetLoaderBase</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html#ae9295d3cd6d9b5b41fde393716041a37">MaterialData</a></td><td class="entry"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html">TriLib.AssetLoaderBase</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html#abce294a7af776bb4b9648b562b5433e4">MeshData</a></td><td class="entry"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html">TriLib.AssetLoaderBase</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html#a32e6b63de187f4c255b75cce28ed7f1d">MeshDataConnections</a></td><td class="entry"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html">TriLib.AssetLoaderBase</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html#a3fff4b95eead7652ea35fa788731fb7d">Metadata</a></td><td class="entry"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html">TriLib.AssetLoaderBase</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html#aaaafb30adc889808b815e44911a0530c">NodeId</a></td><td class="entry"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html">TriLib.AssetLoaderBase</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html#ae60e3da3ad3448b920fb92d893a36fa5">NodesPath</a></td><td class="entry"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html">TriLib.AssetLoaderBase</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html#a841c8d73a107cf27c705566d90948cfd">NotFoundTexture</a></td><td class="entry"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html">TriLib.AssetLoaderBase</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html#a5880a3664f131477ac505e10d9b1cdda">OnAnimationClipCreated</a></td><td class="entry"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html">TriLib.AssetLoaderBase</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html#a0527d4693465e2145d61864ad0c083c0">OnAvatarCreated</a></td><td class="entry"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html">TriLib.AssetLoaderBase</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html#a3ca7c121f4fae8c0e43c39d88d82c216">OnBlendShapeKeyCreated</a></td><td class="entry"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html">TriLib.AssetLoaderBase</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html#a6f5734f25524df0e1bacb168479e97e6">OnMaterialCreated</a></td><td class="entry"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html">TriLib.AssetLoaderBase</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html#a22273e3d7ab966cf91930645e640f923">OnMeshCreated</a></td><td class="entry"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html">TriLib.AssetLoaderBase</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html#a128f9310c431d0705f35503aef8b4e4f">OnMetadataProcessed</a></td><td class="entry"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html">TriLib.AssetLoaderBase</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html#abd1b601f7e1e6d3809d7029a11e970a2">OnObjectLoaded</a></td><td class="entry"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html">TriLib.AssetLoaderBase</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html#aafe2c6ce4dbde3ecb6356ce7036609ed">OnTextureLoaded</a></td><td class="entry"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html">TriLib.AssetLoaderBase</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html#ad4eb41e7b70670b4de413e6e4a3de298">ProcessMetadata</a>(AssimpMetadata metadata)</td><td class="entry"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html">TriLib.AssetLoaderBase</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html#ab883294ad5f5dbd4eeb0c4a9a1b60b0d">ReleaseImport</a>()</td><td class="entry"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html">TriLib.AssetLoaderBase</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html#ac4df586d760667b950100ebdbafaa3bd">RemapMaterialProperty</a>(string property)</td><td class="entry"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html">TriLib.AssetLoaderBase</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html#a556ace938cbce1bfecc7bb99693566bb">RootNodeData</a></td><td class="entry"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html">TriLib.AssetLoaderBase</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html#ae745d71e76bce2fd473de1c878cb6a50">Scene</a></td><td class="entry"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html">TriLib.AssetLoaderBase</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html#abc98e07d817d0e6c66843b6bb6e82c33">SetupAnimations</a>(GameObject gameObject, AssetLoaderOptions options)</td><td class="entry"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html">TriLib.AssetLoaderBase</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html#a8b4bd25a2f6c802d1d359b44e5597038">SetupSkinnedMeshRendererTransforms</a>(GameObject gameObject)</td><td class="entry"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html">TriLib.AssetLoaderBase</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html#a415926dd79eba1c095f92c42f37756c0">StandardBaseAlphaMaterial</a></td><td class="entry"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html">TriLib.AssetLoaderBase</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html#af8a12480a0ace6fd3b9e05550631030a">StandardBaseCutoutMaterial</a></td><td class="entry"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html">TriLib.AssetLoaderBase</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html#ac6e30fe5ad51d54ccba1923394a1286f">StandardBaseFadeMaterial</a></td><td class="entry"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html">TriLib.AssetLoaderBase</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html#ae3328de25cbb8fb625f5949cf39e8191">StandardBaseMaterial</a></td><td class="entry"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html">TriLib.AssetLoaderBase</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html#a486749cb1f54a6c7e5bb65d779d4edfe">StandardRoughnessAlphaMaterial</a></td><td class="entry"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html">TriLib.AssetLoaderBase</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html#a259ae1ff58852461872eb50a48382086">StandardRoughnessCutoutMaterial</a></td><td class="entry"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html">TriLib.AssetLoaderBase</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html#ac8789de516ffab991302ea8ec73bdbf8">StandardRoughnessFadeMaterial</a></td><td class="entry"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html">TriLib.AssetLoaderBase</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html#aaf2ca3e26b5dedea51a42ffbf7b414f6">StandardRoughnessMaterial</a></td><td class="entry"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html">TriLib.AssetLoaderBase</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html#a8dc6bc18710feafe2f9118630ca7dbda">StandardSpecularAlphaMaterial</a></td><td class="entry"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html">TriLib.AssetLoaderBase</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html#a2fa43055b9480aaddd559bafbcef478d">StandardSpecularCutoutMaterial</a></td><td class="entry"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html">TriLib.AssetLoaderBase</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html#acb87af6b8e29cf4cf80122b18cc5b3da">StandardSpecularFadeMaterial</a></td><td class="entry"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html">TriLib.AssetLoaderBase</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html#aeff53d39ac2daf7d5e9579c86cfc7cc6">StandardSpecularMaterial</a></td><td class="entry"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html">TriLib.AssetLoaderBase</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html#af1fb0aa9effff0371b4b582dc1eb29f6">TransformAnimationData</a>(AnimationData animationData, AssetLoaderOptions options, GameObject gameObject, bool useWrapperGameObject=false)</td><td class="entry"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html">TriLib.AssetLoaderBase</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html#af9d2398c46dd12c70a55b2348c693f0a">TransformCameraData</a>(GameObject gameObject, CameraData cameraData, AssetLoaderOptions options)</td><td class="entry"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html">TriLib.AssetLoaderBase</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html#ae3aea7bf04393f585a834ab187aa2984">TransformMaterialData</a>(MaterialData materialData, AssetLoaderOptions options, string basePath=null)</td><td class="entry"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html">TriLib.AssetLoaderBase</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html#ac4af1e143ac75c2c9f20820bf7bed047">TransformMeshData</a>(MeshData meshData, AssetLoaderOptions options)</td><td class="entry"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html">TriLib.AssetLoaderBase</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html#a388d4a9d75ebd4eca5c964ebdb7e83d7">TransformNodeData</a>(NodeData nodeData, AssetLoaderOptions options, GameObject existingGameObject=null)</td><td class="entry"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html">TriLib.AssetLoaderBase</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html#acbdb684466bab4406954d9a2499d9d38">TriggerOnAnimationClipCreated</a>(uint animationClipIndex, AnimationClip animationClip)</td><td class="entry"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html">TriLib.AssetLoaderBase</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html#a1adb87741aef46a4149049052b8ae200">TriggerOnAvatarCreated</a>(Avatar avatar, Animator animator)</td><td class="entry"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html">TriLib.AssetLoaderBase</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html#a205e299d2b589896f8f9898d83d519df">TriggerOnBlendShapeKeyCreated</a>(Mesh mesh, string name, Vector3[] vertices, Vector3[] normals, Vector4[] tangents, Vector4[] biTangents)</td><td class="entry"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html">TriLib.AssetLoaderBase</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html#a3aadabcce5e0ebc96a3cf7588bfb797c">TriggerOnMaterialCreated</a>(uint materialIndex, bool isOverriden, Material material)</td><td class="entry"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html">TriLib.AssetLoaderBase</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html#a007ae3fbdb9416a9f6db197ac64db582">TriggerOnMeshCreated</a>(uint meshIndex, Mesh mesh)</td><td class="entry"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html">TriLib.AssetLoaderBase</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html#aaecfae1366a2747fcd76d4f0cb1a0221">TriggerOnMetadataProcessed</a>(AssimpMetadataType metadataType, uint metadataIndex, string metadataKey, object metadataValue)</td><td class="entry"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html">TriLib.AssetLoaderBase</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html#a059f3a65c98d07d24a88e35b43f17c08">TriggerOnObjectLoaded</a>(GameObject loadedGameObject)</td><td class="entry"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html">TriLib.AssetLoaderBase</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html#a3c676e618e076e6988f9f920fa23cee7">TriggerOnTextureLoaded</a>(string sourcePath, Material material, string propertyName, Texture2D texture)</td><td class="entry"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html">TriLib.AssetLoaderBase</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
</table></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated on Mon Dec 20 2021 15:24:23 for VivianUI by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.2 </li>
  </ul>
</div>
</body>
</html>
